> ## Documentation Index
> Fetch the complete documentation index at: https://docs.seam.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Deactivate a Phone

> Deactivates a phone, which is useful, for example, if a user has lost their phone. For more information, see [App User Lost Phone Process](https://docs.seam.co/capability-guides/mobile-access/managing-phones-for-a-user-identity#app-user-lost-phone-process).



## OpenAPI

````yaml /openapi.json post /phones/deactivate
openapi: 3.0.0
info:
  title: Seam Connect
  version: 1.0.0
servers:
  - url: https://connect.getseam.com
security: []
tags:
  - description: access_codes
    name: /access_codes
  - description: acs
    name: /acs
  - description: action_attempts
    name: /action_attempts
  - description: client_sessions
    name: /client_sessions
  - description: connected_accounts
    name: /connected_accounts
  - description: connect_webviews
    name: /connect_webviews
  - description: devices
    name: /devices
  - description: events
    name: /events
  - description: health
    name: /health
  - description: locks
    name: /locks
  - description: networks
    name: /networks
  - description: noise_sensors
    name: /noise_sensors
  - description: phones
    name: /phones
  - description: thermostats
    name: /thermostats
  - description: user_identities
    name: /user_identities
  - description: webhooks
    name: /webhooks
  - description: workspaces
    name: /workspaces
paths:
  /phones/deactivate:
    post:
      tags:
        - /phones
      summary: Deactivate a Phone
      description: >-
        Deactivates a phone, which is useful, for example, if a user has lost
        their phone. For more information, see [App User Lost Phone
        Process](https://docs.seam.co/capability-guides/mobile-access/managing-phones-for-a-user-identity#app-user-lost-phone-process).
      operationId: phonesDeactivatePost
      requestBody:
        content:
          application/json:
            schema:
              properties:
                device_id:
                  description: Device ID of the phone that you want to deactivate.
                  type: string
              required:
                - device_id
              type: object
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  ok:
                    type: boolean
                required:
                  - ok
                type: object
          description: OK
        '400':
          description: Bad Request
        '401':
          description: Unauthorized
      security:
        - client_session: []
        - pat_with_workspace: []
        - console_session_with_workspace: []
        - api_key: []
      x-codeSamples:
        - lang: javascript
          label: Seam SDK
          source: |-
            await seam.phones.deactivate({
              device_id: "6481cd6a-579f-4d8c-9adb-b42bf9fb697e",
            });

            /*
            // void
            */
        - lang: bash
          label: cURL
          source: >-
            curl --include --request POST
            "https://connect.getseam.com/phones/deactivate" \
              --header "Authorization: Bearer $SEAM_API_KEY" \
              --json @- <<EOF
            {
              "device_id": "6481cd6a-579f-4d8c-9adb-b42bf9fb697e"
            }

            EOF


            # Response:

            # {}
        - lang: python
          label: Seam SDK
          source: >-
            seam.phones.deactivate(device_id="6481cd6a-579f-4d8c-9adb-b42bf9fb697e")


            # None
        - lang: ruby
          label: Seam SDK
          source: >-
            seam.phones.deactivate(device_id:
            "6481cd6a-579f-4d8c-9adb-b42bf9fb697e")


            # => nil
        - lang: php
          label: Seam SDK
          source: >-
            $seam->phones->deactivate(device_id:
            "6481cd6a-579f-4d8c-9adb-b42bf9fb697e");
        - lang: bash
          label: Seam CLI
          source: >-
            seam phones deactivate --device_id
            "6481cd6a-579f-4d8c-9adb-b42bf9fb697e"


            # {}
components:
  securitySchemes:
    client_session:
      bearerFormat: Client Session Token
      scheme: bearer
      type: http
    pat_with_workspace:
      bearerFormat: API Token
      scheme: bearer
      type: http
    console_session_with_workspace:
      bearerFormat: Console Session Token
      scheme: bearer
      type: http
    api_key:
      bearerFormat: API Key
      scheme: bearer
      type: http

````